#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2009                                                       #
#                                                                              #
# contact: http://pkt.cal.pl/                                                  #
#                                                                              #
################################################################################

. /var/config/link
. /var/config/emu.conf
. /var/config/language.conf

#-------------------------------------------------------------------------------
#language section
#-------------------------------------------------------------------------------

if [ $lang == pl ]; then
  
  info1="Kasowanie mpcs.server"
  info2="Kasowanie mpcs.conf"
  info3="Kasowanie mpcs.user"
  info4="Kasowanie mpcs.sid"
  info5="Kasowanie mpcs.biss"
  info6="Pobieranie mpcs.server"
  info7="Pobieranie mpcs.conf"
  info8="Pobieranie mpcs.user"
  info9="Pobieranie mpcs.sid"
  info10="Pobieranie mpcs.biss"
  info11="mpcs.server pobrany!"
  info12="Prosze zmodyfikowac plik /var/keys/mpcs.server dla wlasnych ustawien !!!"
  info13="Instalacja mpcs.server nie powiodla sie!"
  info14="mpcs.conf pobrany!"
  info15="Instalacja mpcs.conf nie powiodla sie!"
  info16="mpcs.user pobrany!"
  info17="Instalacja mpcs.user nie powiodla sie!"  
  info18="mpcs.sid pobrany!"
  info19="Instalacja mpcs.sid nie powiodla sie!"  
  info20="mpcs.biss pobrany!"
  info21="Instalacja mpcs.biss nie powiodla sie!"  

elif [ $lang == en ]; then

  info1="Deleting mpcs.server"
  info2="Deleting mpcs.conf"
  info3="Deleting mpcs.user"
  info4="Deleting mpcs.sid"
  info5="Deleting mpcs.biss"
  info6="Downloading mpcs.server"
  info7="Downloading mpcs.conf"
  info8="Downloading mpcs.user"
  info9="Downloading mpcs.sid"
  info10="Downloading mpcs.biss"
  info11="mpcs.server downloaded!"
  info12="Please set your own server settings in /var/keys/mpcs.server!!!"
  info13="mpcs.server instalation error!"
  info14="mpcs.conf downloaded!"
  info15="mpcs.conf instalation error!"
  info16="mpcs.user downloaded!"
  info17="mpcs.user instalation error!"  
  info18="mpcs.sid downloaded!"
  info19="mpcs.sid instalation error!"  
  info20="mpcs.biss downloaded!"
  info21="mpcs.biss instalation error!"

elif [ $lang == ar ]; then

  info1="mpcs.server حذف"
  info2="mpcs.conf حذف"
  info3="mpcs.user حذف"
  info4="mpcs.sid حذف"
  info5="mpcs.biss حذف"
  info6="mpcs.server تحميل"
  info7="mpcs.conf تحميل"
  info8="mpcs.user تحميل"
  info9="mpcs.sid تحميل"
  info10="mpcs.biss تحميل"
  info11="mpcs.server تم تحميل"
  info12="/var/keys/mpcs.server الرجاء ضبط إعدادات سيرفرك في"
  info13="mpcs.server حدثت مشكلة أثناء تنصيب"
  info14="mpcs.conf تم تحميل"
  info15="mpcs.conf حدثت مشكلة أثناء تنصيب"
  info16="mpcs.user تم تحميل"
  info17="mpcs.user حدثت مشكلة أثناء تنصيب"  
  info18="mpcs.sid تم تحميل"
  info19="mpcs.sid حدثت مشكلة أثناء تنصيب"  
  info20="mpcs.biss تم تحميل"
  info21="mpcs.biss حدثت مشكلة أثناء تنصيب"

elif [ $lang == fr ]; then

  info1="supprimer mpcs.server"
  info2="supprimer mpcs.conf"
  info3="supprimer mpcs.user"
  info4="supprimer mpcs.sid"
  info5="Deleting mpcs.biss"
  info6="Telechargement de mpcs.server"
  info7="Telechargement de mpcs.conf"
  info8="Telechargement de mpcs.user"
  info9="Telechargement de mpcs.sid"
  info10="Telechargement de mpcs.biss"
  info11="mpcs.server telecharge!"
  info12="S'il vous plait definir les parametres de votre serveur dans  /var/keys/mpcs.server!!!"
  info13="mpcs.server erreur dans la installation!"
  info14="mpcs.conf telecharge!"
  info15="mpcs.conf erreur dans la installation!"
  info16="mpcs.user telecharge!"
  info17="mpcs.user erreur dans la installation!"  
  info18="mpcs.sid telecharge!"
  info19="mpcs.sid erreur dans la installation!"  
  info20="mpcs.biss telecharge!"
  info21="mpcs.biss erreur dans la installation!"  
  
elif [ $lang == de ]; then

  info1="Losche mpcs.server"
  info2="Losche mpcs.conf"
  info3="Losche mpcs.user"
  info4="Losche mpcs.sid"
  info5="Losche mpcs.biss"
  info6="Lade mpcs.server"
  info7="Lade mpcs.conf"
  info8="Lade mpcs.user"
  info9="Lade mpcs.sid"
  info10="Lade mpcs.biss"
  info11="mpcs.server geladen!"
  info12="Bitte Datei /var/keys/mpcs.server fur Eigenbedarf korigieren!!!"
  info13="Instalieren mpcs.server instalation error!"
  info14="mpcs.conf geladen!"
  info15="Instalieren mpcs.conf fehlgeschlagen!"
  info16="mpcs.user geladen!"
  info17="Instalieren mpcs.user fehlgeschlagen!"  
  info18="mpcs.sid geladen!"
  info19="Instalieren mpcs.sid fehlgeschlagen!"  
  info20="mpcs.biss geladen!"
  info21="Instalieren mpcs.biss fehlgeschlagen!"  

elif [ $lang == it ]; then

  info1="Deleting mpcs.server"
  info2="Deleting mpcs.conf"
  info3="Deleting mpcs.user"
  info4="Deleting mpcs.sid"
  info5="Deleting mpcs.biss"
  info6="Downloading mpcs.server"
  info7="Downloading mpcs.conf"
  info8="Downloading mpcs.user"
  info9="Downloading mpcs.sid"
  info10="Downloading mpcs.biss"
  info11="mpcs.server downloaded!"
  info12="Please set your own server settings in /var/keys/mpcs.server!!!"
  info13="mpcs.server instalation error!"
  info14="mpcs.conf downloaded!"
  info15="mpcs.conf instalation error!"
  info16="mpcs.user downloaded!"
  info17="mpcs.user instalation error!"  
  info18="mpcs.sid downloaded!"
  info19="mpcs.sid instalation error!"  
  info20="mpcs.biss downloaded!"
  info21="mpcs.biss instalation error!"

elif [ $lang == es ]; then
  info1="mpcs.server se esta borrando"
  info2="mpcs.conf se esta borrando"
  info3="mpcs.user se esta borrando"
  info4="mpcs.sid se esta borrando"
  info5="mpcs.biss se esta borrando"
  info6="mpcs.server se esta descargando"
  info7="mpcs.conf se esta descargando"
  info8="mpcs.user se esta descargando"
  info9="mpcs.sid se esta descargando"
  info10="mpcs.biss se esta descargando"
  info11="mpcs.server Descargado e Instalado!"
  info12="Por favor recuerde configurar el archivo en: /var/keys/mpcs.server!!!"
  info13="mpcs.server Error en la instalacion!"
  info14="mpcs.conf Descargado e Instalado!"
  info15="mpcs.conf Error en la instalacion!"
  info16="mpcs.user Descargado e Instalado!"
  info17="mpcs.user Error en la instalacion!"  
  info18="mpcs.sid Descargado e Instalado!"
  info19="mpcs.sid Error en la instalacion!"  
  info20="mpcs.biss Descargado e Instalado!"
  info21="mpcs.biss Error en la instalacion!"

fi

#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

 if [ -s /var/keys/mpcs.server ] ; then
    echo $info1
    rm /var/keys/mpcs.server 2>/dev/null
    sleep 3
 fi
 if [ -s /var/keys/mpcs.conf ] ; then
    echo $info2
    rm /var/keys/mpcs.conf 2>/dev/null
    sleep 3
 fi
 if [ -s /var/keys/mpcs.user ] ; then
    echo $info3
    rm /var/keys/mpcs.user 2>/dev/null
    sleep 3
 fi
 if [ -s /var/keys/mpcs.sid ] ; then
    echo $info4
    rm /var/keys/mpcs.sid 2>/dev/null
    sleep 3
 fi
 if [ -s /var/keys/mpcs.biss ] ; then
    echo $info5
    rm /var/keys/mpcs.biss 2>/dev/null
    sleep 3
 fi
  
echo $info6
  wget $ADRES/mpcs.conf -q -O /var/keys/mpcs.conf 2>/dev/null
echo $info7
  wget $ADRES/mpcs.server -q -O /var/keys/mpcs.server 2>/dev/null
echo $info8
  wget $ADRES/mpcs.user -q -O /var/keys/mpcs.user 2>/dev/null
echo $info9
  wget $ADRES/mpcs.sid -q -O /var/keys/mpcs.sid 2>/dev/null
echo $info10
  wget $ADRES/mpcs.biss -q -O /var/keys/mpcs.biss 2>/dev/null

  sync
sleep 5

 if [ -s /var/keys/mpcs.conf ] ; then
    echo ""    
    echo $info11
    echo $info12
    echo ""
 else
    echo $info13
 fi
 if [ -s /var/keys/mpcs.server ] ; then
    echo ""
    echo $info14
 else
    echo $info15
 fi
 if [ -s /var/keys/mpcs.user ] ; then
    echo ""
    echo $info16
 else
    echo $info17
 fi
 if [ -s /var/keys/mpcs.sid ] ; then
    echo ""
    echo $info18
 else
    echo $info19
 fi
 if [ -s /var/keys/mpcs.biss ] ; then
    echo ""
    echo $info20
 else
    echo $info21
 fi

echo ""

exit 0